/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:47pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\FortunesFavor.cs
Lines of code: 38

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{
	public class FortunesFavor : WoodenShield
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 0; } }
		public override int BaseFireResistance{ get{ return 0; } }
		public override int BaseColdResistance{ get{ return 0; } }
		public override int BasePoisonResistance{ get{ return 0; } }
		public override int BaseEnergyResistance{ get{ return 0; } }
		

	 	[Constructable]
	 	public FortunesFavor()
	 	{
	 	 	Name = "Fortune's Favor";
	 	 	Hue = 1281;
	 	 	Attributes.SpellChanneling = 1;
			Attributes.BonusInt = 5;
			Attributes.Luck = 250;
			Attributes.DefendChance = 15;	 	 
	 	}

	 	public FortunesFavor(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}	
	}
}
